Get Policy
curl --request GET \
--url http://{host}:{port}/{basePath}/policies/{kind}/{name} \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/policies/{kind}/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/policies/{kind}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "IncidentSLA",
"spec": { "severity": "critical", "responseTime": "15m", "resolutionTime": "1h" },
"status": { "totalIssuesTracked": 14, "totalViolations": 2, "activeViolations": 1, "compliancePercentage": 85.7 }
}
Clusters
Get Policy
Returns one ApprovalPolicy, NotificationPolicy, EscalationPolicy or IncidentSLA with its raw spec and status
GET
/
policies
/
{kind}
/
{name}
Get Policy
string
required
approval, notification, escalation or slastring
required
Policy name
string
Namespace of the policy
{
"apiVersion": "v1",
"kind": "IncidentSLA",
"spec": { "severity": "critical", "responseTime": "15m", "resolutionTime": "1h" },
"status": { "totalIssuesTracked": 14, "totalViolations": 2, "activeViolations": 1, "compliancePercentage": 85.7 }
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Path Parameters
Available options:
approval, notification, escalation, sla Query Parameters
Namespace of the policy.